Listar Judges
curl --request GET \
--url https://api.zelto.ai/v1/benchmarks/{id}/judges \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zelto.ai/v1/benchmarks/{id}/judges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zelto.ai/v1/benchmarks/{id}/judges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zelto.ai/v1/benchmarks/{id}/judges",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zelto.ai/v1/benchmarks/{id}/judges"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.zelto.ai/v1/benchmarks/{id}/judges")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zelto.ai/v1/benchmarks/{id}/judges")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"label": "<string>",
"kind": "judge",
"required": true,
"weight": 123,
"summary": "<string>",
"recentPassRate": 123,
"revision": 123,
"costPer1kUsd": 123,
"params": [
{
"key": "<string>",
"label": "<string>",
"type": "number",
"default": 123,
"unit": "<string>",
"min": 123,
"max": 123
}
],
"labelTemplate": "<string>",
"toolCheck": "tool_call_match",
"config": {
"kind": "judge",
"rubric": "<string>",
"model": {
"provider": "platform",
"modelId": "<string>",
"aiKeyId": "<string>"
},
"scale": {
"type": "pass_fail"
}
},
"checkGroupId": "<string>",
"appliesTo": {
"caseTypes": [
"turn"
],
"tags": [
"<string>"
]
}
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"hint": "<string>",
"parameter": "<string>",
"unknown": [
"<string>"
],
"valid": [
"<string>"
],
"details": {}
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"hint": "<string>",
"parameter": "<string>",
"unknown": [
"<string>"
],
"valid": [
"<string>"
],
"details": {}
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"hint": "<string>",
"parameter": "<string>",
"unknown": [
"<string>"
],
"valid": [
"<string>"
],
"details": {}
}Benchmarks
Listar Judges
Los Judges del borrador, en orden, en sus revisiones actuales.
GET
/
v1
/
benchmarks
/
{id}
/
judges
Listar Judges
curl --request GET \
--url https://api.zelto.ai/v1/benchmarks/{id}/judges \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zelto.ai/v1/benchmarks/{id}/judges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zelto.ai/v1/benchmarks/{id}/judges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zelto.ai/v1/benchmarks/{id}/judges",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zelto.ai/v1/benchmarks/{id}/judges"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.zelto.ai/v1/benchmarks/{id}/judges")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zelto.ai/v1/benchmarks/{id}/judges")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"label": "<string>",
"kind": "judge",
"required": true,
"weight": 123,
"summary": "<string>",
"recentPassRate": 123,
"revision": 123,
"costPer1kUsd": 123,
"params": [
{
"key": "<string>",
"label": "<string>",
"type": "number",
"default": 123,
"unit": "<string>",
"min": 123,
"max": 123
}
],
"labelTemplate": "<string>",
"toolCheck": "tool_call_match",
"config": {
"kind": "judge",
"rubric": "<string>",
"model": {
"provider": "platform",
"modelId": "<string>",
"aiKeyId": "<string>"
},
"scale": {
"type": "pass_fail"
}
},
"checkGroupId": "<string>",
"appliesTo": {
"caseTypes": [
"turn"
],
"tags": [
"<string>"
]
}
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"hint": "<string>",
"parameter": "<string>",
"unknown": [
"<string>"
],
"valid": [
"<string>"
],
"details": {}
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"hint": "<string>",
"parameter": "<string>",
"unknown": [
"<string>"
],
"valid": [
"<string>"
],
"details": {}
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"hint": "<string>",
"parameter": "<string>",
"unknown": [
"<string>"
],
"valid": [
"<string>"
],
"details": {}
}
